//
//  main.swift
//  Retain_Cycle
//
//  Created by Jon Hoffman on 7/9/17.
//  Copyright © 2017 Jon Hoffman. All rights reserved.
//

import Foundation

print("Witaj, świecie!")

var testClassOne: TestClassOne? = TestClassOne()
var testClassTwo: TestClassTwo? = TestClassTwo()

    testClassTwo?.closureExample(testClassOne!.myClosure)

    testClassOne = nil
    print("Egzemplarz testClassOne został usunięty.")

    testClassTwo = nil
    print("Egzemplarz testClassTwo został usunięty.")
